#include "HarpoonProjectile.h"
#include "Engine/HitResult.h"
#include "HarpoonProjectileMovementComponent.h"
#include "Components/BoxComponent.h"
#include "DBDSkeletalMeshComponentBudgeted.h"

void AHarpoonProjectile::OnHarpoonStop(const FHitResult& result)
{

}

AHarpoonProjectile::AHarpoonProjectile()
{
	this->_movement = CreateDefaultSubobject<UHarpoonProjectileMovementComponent>(TEXT("Movement_FIXED"));
	this->_environmentCollider = CreateDefaultSubobject<UBoxComponent>(TEXT("Environment Collider"));
	this->_targetCollider = CreateDefaultSubobject<UBoxComponent>(TEXT("Target Detector"));
	this->_skeletalMeshComponent = CreateDefaultSubobject<UDBDSkeletalMeshComponentBudgeted>(TEXT("SkeletalMeshComponent"));
}
